GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXPolygonSystem Class Reference

Class for handling Vendor Data. More...

`#include <GTXPolygonSystem.hpp>`

## Public Member Functions
| GTXPolygonSystem ()
| Empty Constructor.
| GTXPolygonSystem (const GTXPolygonSystem &fseg)
| Copy Constructor.
GTXPolygonSystem | operator= (const GTXPolygonSystem &fseg)
| Operator equals.
| ~GTXPolygonSystem ()
| Destructor.
bool | GetPolygons2DFlag () const
| Get flag from Polygones2D attribute of a Polygon System. More...
double | GetMinimumExtensionX () const
| Get value from MinimumExtensionX attribute of a Polygon System. More...
double | GetMinimumExtensionY () const
| Get value from MinimumExtensionY attribute of a Polygon System. More...
double | GetMinimumExtensionZ () const
| Get value from MinimumExtensionZ attribute of a Polygon System. More...
double | GetMaximumExtensionX () const
| Get value from MaximumExtensionX attribute of a Polygon System. More...
double | GetMaximumExtensionY () const
| Get value from MaximumExtensionY attribute of a Polygon System. More...
double | GetMaximumExtensionZ () const
| Get value from MaximumExtensionZ attribute of a Polygon System. More...
gtx_long | GetPolygonsNumber () const
| Get value from Polygons Number attribute of a Polygon System. More...
GTXPolygon | GetPolygon (int rank) const
| Get value from Polygons attribute of a Polygon System. More...
void | SetPolygons2DFlag (bool flag)
| Set flag from Polygons2D attribute of a Polygon System. More...
void | AddPolygon (const GTXPolygon &poly)
| add Polygon for a Polygon System More...

## Friends
class | GTXClient

## Detailed Description

Class for handling Vendor Data.

Examples:
  polygon.cpp.

## Member Function Documentation

void GTXPolygonSystem::AddPolygon | ( | const GTXPolygon & | poly | ) |

add Polygon for a Polygon System

This function add Polygon of a Polygon System

Parameters

  poly | Polygon

Examples:
  polygon.cpp.

double GTXPolygonSystem::GetMaximumExtensionX | ( |  | ) | const

Get value from MaximumExtensionX attribute of a Polygon System.

This function reads the value from MaximumExtensionX attribute of a Polygon System

Returns
  Return MaximumExtensionX

Examples:
  polygon.cpp.

double GTXPolygonSystem::GetMaximumExtensionY | ( |  | ) | const

Get value from MaximumExtensionY attribute of a Polygon System.

This function reads the value from MaximumExtensionY attribute of a Polygon System

Returns
  Return MaximumExtensionZ

Examples:
  polygon.cpp.

double GTXPolygonSystem::GetMaximumExtensionZ | ( |  | ) | const

Get value from MaximumExtensionZ attribute of a Polygon System.

This function reads the value from MaximumExtensionZ attribute of a Polygon System

Returns
  Return MaximumExtensionZ

Examples:
  polygon.cpp.

double GTXPolygonSystem::GetMinimumExtensionX | ( |  | ) | const

Get value from MinimumExtensionX attribute of a Polygon System.

This function reads the value from MinimumExtensionX attribute of a Polygon System

Returns
  Return MinimumExtensionX

Examples:
  polygon.cpp.

double GTXPolygonSystem::GetMinimumExtensionY | ( |  | ) | const

Get value from MinimumExtensionY attribute of a Polygon System.

This function reads the value from MinimumExtensionY attribute of a Polygon System

Returns
  Return MinimumExtensionY

Examples:
  polygon.cpp.

double GTXPolygonSystem::GetMinimumExtensionZ | ( |  | ) | const

Get value from MinimumExtensionZ attribute of a Polygon System.

This function reads the value from MinimumExtensionZ attribute of a Polygon System

Returns
  Return MinimumExtensionZ

Examples:
  polygon.cpp.

GTXPolygon GTXPolygonSystem::GetPolygon | ( | int | rank | ) | const

Get value from Polygons attribute of a Polygon System.

This function reads the value from Polygons attribute of a Polygon System

Returns
  Return Polygons

Parameters

  rank | Rank of the polygon

Exceptions

  GTXError |

Examples:
  polygon.cpp.

References GetPolygonsNumber().

bool GTXPolygonSystem::GetPolygons2DFlag | ( |  | ) | const

Get flag from Polygones2D attribute of a Polygon System.

This function reads the flag from Polygones2D attribute of a Polygon System

Returns
  Return Polygons2DFlag

Examples:
  polygon.cpp.

gtx_long GTXPolygonSystem::GetPolygonsNumber | ( |  | ) | const

Get value from Polygons Number attribute of a Polygon System.

This function reads the value from Polygons Number attribute of a Polygon System

Returns
  Return Polygons Number

Examples:
  polygon.cpp.

Referenced by GetPolygon().

void GTXPolygonSystem::SetPolygons2DFlag | ( | bool | flag | ) |

Set flag from Polygons2D attribute of a Polygon System.

This function changes the flag from Polygons2D attribute of a Polygon System

Parameters

  flag | true to make polygons 2D, false to make them 3D (2D polygon + thickness)

Examples:
  polygon.cpp.

The documentation for this class was generated from the following files:

- include/GTXPolygonSystem.hpp
- src/gtxclient/GTXPolygonSystem.cpp